{% extends '_layouts/default' %}
{% block contents %}
    {% include '_partials/banner.twig' with { 'bannerWithoutBlueSection': 'activeBannerWithoutBlueSection' } %}
    <div class="landing-page results results-wrap">
        <div class="row width-940 dflex animatedParent animateOnce" data-sequence="200">
            {% for page in entry.pagesListing %}
                <div class="columns medium-6 small-12 padding-10 animated fadeIn" data-id="1">
                    <div class="landing-page results holder">
                        <a href="{{ page.url }}">
                            <span class="landing-page results image-holder">
                            {% if page.largeBanner is defined and page.largeBanner | length %}
                                <img src="{{ page.largeBanner.first().getUrl('landingImage') }}" alt="{{ page.id }}">
                            {% elseif page.featuredImage is defined and page.featuredImage | length %}
                                <img src="{{ page.featuredImage.first().getUrl('landingImage') }}" alt="{{ page.id }}">
                            {% elseif page.bannerBackground is defined and page.bannerBackground | length %}
                                <img src="{{ page.bannerBackground.first().getUrl('landingImage') }}" alt="{{ page.id }}">
                            {% else %}
                                <img src="http://communitychurch.cc/cpresources/transforms/113/?x=1QTOq9j83" alt="220">
                            {% endif %}
                            </span>
                            <span class="landing-page results content-holder bg-orange">
                                <span class="landing-page results content-holder inner">
                                    <h2>{{ page.title }}</h2>
                                    <p>{{ page.pageDescription }}</p>
                                </span>
                            </span>
                        </a>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock contents %}
